summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2013-12-14 02:52:33 +0100
committer Erik Hanson2013-12-14 17:53:06 +0100
commit078f15de57d3a1c3b6a15201878d837cca32b70f (patch)
tree881aae9528e9904feb9aa8f3d5edb3b506a58fe4 /academic
parent8c35f38c042e85a39712cd73a895b1f566d1050d (diff)
downloadslackbuilds-078f15de57d3a1c3b6a15201878d837cca32b70f.tar.gz
academic/pamlX: Added (A GUI for PAML).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/pamlX/README1
-rw-r--r--academic/pamlX/doinst.sh3
-rw-r--r--academic/pamlX/pamlX.SlackBuild116
-rw-r--r--academic/pamlX/pamlX.desktop9
-rw-r--r--academic/pamlX/pamlX.info10
-rw-r--r--academic/pamlX/slack-desc19
6 files changed, 158 insertions, 0 deletions
diff --git a/academic/pamlX/README b/academic/pamlX/README
new file mode 100644
index 0000000000..d2ab78a000
--- /dev/null
+++ b/academic/pamlX/README
@@ -0,0 +1 @@
+The graphical user interface for paml.
diff --git a/academic/pamlX/doinst.sh b/academic/pamlX/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/pamlX/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/pamlX/pamlX.SlackBuild b/academic/pamlX/pamlX.SlackBuild
new file mode 100644
index 0000000000..86624eb5a2
--- /dev/null
+++ b/academic/pamlX/pamlX.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for pamlX
+
+# Copyright 2013 Petar Petrov, petar.petrov@student.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pamlX
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-src
+tar xvf $CWD/$PRGNAM-$VERSION-src.tgz
+cd $PRGNAM-$VERSION-src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix the path where pamlX looks for the paml executables, its config
+# file (if necessary it should be in your home directory) and the
+# manuals installed by paml.
+sed -i 's|QApplication::applicationDirPath()|"/usr"|g' mainwindow.cpp
+sed -i 's|+= "/pamlx.conf"|= "~/.pamlX/pamlx.conf"|g' mainwindow.cpp
+sed -i 's|/doc/|/doc/paml-4.7a/|g' mainwindow.cpp
+sed -i 's|/doc/|/doc/paml-4.7a/|g' pamlhistorydialog.cpp
+
+# If you want the "Help" menu to use something else than Okular for
+# viewing the PDF documentation, uncomment the appropriate line below
+# (or add your own if you want a viewer not listed here):
+#
+# sed -i 's|okular|xpdf|g' mainwindow.cpp # Use XPDF
+# sed -i 's|okular|evince|g' mainwindow.cpp # Use Evince
+# sed -i 's|okular|acroread|g' mainwindow.cpp # Use Adobe Acrobat Reader
+# sed -i 's|okular|epdfviewer|g' mainwindow.cpp # Use ePDFViewer
+
+qmake \
+QMAKE_CFLAGS="$SLKCFLAGS" \
+QMAKE_CXXFLAGS="$SLKCFLAGS"
+make
+
+install -D -m755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp pamlxlogo.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# Fix permissions of the documentation control files and examples
+find $PKG/usr/{doc,share} -type d -exec chmod 755 {} \; -o \
+ -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/pamlX/pamlX.desktop b/academic/pamlX/pamlX.desktop
new file mode 100644
index 0000000000..3d6a0b10c8
--- /dev/null
+++ b/academic/pamlX/pamlX.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Categories=Education;
+Comment=A GUI for PAML
+Exec=pamlX
+Icon=pamlX
+Name=pamlX
+StartupNotify=false
+Type=Application
+GenericName=
diff --git a/academic/pamlX/pamlX.info b/academic/pamlX/pamlX.info
new file mode 100644
index 0000000000..2a849e49da
--- /dev/null
+++ b/academic/pamlX/pamlX.info
@@ -0,0 +1,10 @@
+PRGNAM="pamlX"
+VERSION="1.1"
+HOMEPAGE="http://abacus.gene.ucl.ac.uk/software/"
+DOWNLOAD="http://abacus.gene.ucl.ac.uk/software/pamlX-1.1-src.tgz"
+MD5SUM="8f7472fd5a83e0bf6abf495dc6bcb253"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="paml"
+MAINTAINER="Petar Petrov"
+EMAIL="petar.petrov@student.oulu.fi"
diff --git a/academic/pamlX/slack-desc b/academic/pamlX/slack-desc
new file mode 100644
index 0000000000..d1778d8ad3
--- /dev/null
+++ b/academic/pamlX/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pamlX: pamlX (A GUI for PAML)
+pamlX:
+pamlX: A graphical user interface for PAML
+pamlX:
+pamlX: Home: http://abacus.gene.ucl.ac.uk/software/paml.html
+pamlX:
+pamlX:
+pamlX:
+pamlX:
+pamlX:
+pamlX: